/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.pa165.ejb;

import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.ejb.LocalBean;
import javax.ejb.Schedule;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.transaction.SystemException;
import javax.transaction.UserTransaction;

@Stateless
@LocalBean
@TransactionManagement(TransactionManagementType.BEAN)
public class ServiceWithBeanManagedTransactions {
    
    @Resource
    private UserTransaction tx;
    
    @Schedule(hour="12")
    public void someMethod() throws SystemException {
        try {
            tx.begin();
            // do some usefull work here
            tx.commit();
        } catch (Exception ex) {
            tx.setRollbackOnly();
        }
    }
    
}
